クイズ
既存のノートからクイズセットを生成します。以下のすべてのエンドポイントは API Key (X-API-Key または Authorization: Bearer ntx_...)に対応しています。
Base URL: https://api.notexapp.com
Quiz を生成 — POST /v6/create/quiz
ノートからクイズセットを生成します。task_id が返されるため、
結果は Tasks をポーリングして取得してください。
以下の認証にも対応しています: User JWT、Service Key。
Content-Type: application/x-www-form-urlencoded
| Field | Type | Required | Description |
|---|---|---|---|
note_id | string | required | クイズを生成するノートの ID |
num_questions | string | optional | 生成する問題数 |
set_name | string | optional | クイズセット名 |
difficulty | string | optional | 難易度(easy、medium、hard) |
custom_prompt | string | optional | AI へのカスタム指示 |
community | boolean | optional | コミュニティノートから生成 |
curl -X POST https://api.notexapp.com/v6/create/quiz \
-H "X-API-Key: ntx_live_..." \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "note_id=665f..." \
--data-urlencode "num_questions=10" \
--data-urlencode "difficulty=medium"
Response (200) — task_id を返します。
{
"status": "PROCESSING",
"data": {
"task_id": "b3f1a2c4-...",
"user_id": "665f..."
}
}
タスクの結果をポーリングして、生成されたクイズセットを取得します。
{
"status": "SUCCESS",
"data": {
"quiz_set_id": "665f...",
"set_name": "Machine Learning Quiz",
"questions": [
{
"question": "Which algorithm is used for classification?",
"options": ["Linear Regression", "Decision Tree", "K-Means", "PCA"],
"answer": "Decision Tree"
},
...
]
}
}
Was this page helpful?